quantiles {bnstruct} | R Documentation

## get the list of quantiles of an object.

### Description

Return the list of quantiles of a `BN` or a `BNDataset`. It is set when a discretization needs to be performed.

### Usage

    quantiles(x)

    ## S4 method for signature 'BN'
    quantiles(x)

    ## S4 method for signature 'BNDataset'
    quantiles(x)

### Arguments

`x` | a list of vectors.

### Details

Output is a list of `num.nodes` vectors, one per variable. Each vector is `NULL` if the corresponding variable is discrete in the original dataset, and contains the cut points for the quantiles if the corresponding variable is continuous.

### Value

the list of quantiles of the `BN` of `BNDataset`.

[Package bnstruct version 1.0.6 Index]